Subject: Re: [bug#54375] Mutable guix shell environments

From: Charles <[email-masked]>
Date: Tue, 15 Mar 2022 23:52:30 +0000

Hello simon; thank you for your input.

> The "incremental style" is a quick and dirty approach for creating a computational environment

If profiles are used, it can be exported to a manifest.

> Guix is functional by design and we should not compromise on that.

I want to reiterate that I am not proposing anything less FP than profiles.

Nested shells do not fit my use case because a long running process started in shell "a" does not become aware of packages installed on shell "b".

> thus this "transient" profile should be manipulated via "guix shell" and not "guix package"

I chose "guix install" for my proposal because it already has the functionality of adding a new generation. I do not think it would be good to change the semantics of nested shells.

I failed to mention earlier that I like the name "--transient"